%{

/* Author: Denis BEURIVE */

#include <stdio.h>

int hash1wrap() { return 1; }

extern int hash1lex();

int yylex_memory1 (char *src)
{
  int result;
  YY_BUFFER_STATE buf_state;

  buf_state = yy_scan_string(src);
  while ((result = hash1lex()) != 0)
  yy_delete_buffer(buf_state);

  return result;
}

%}

ALPHA ([A-Z]|[a-z])
NUMERIC [0-9]
ALPHANUM ({ALPHA}|{NUMERIC})
CARACTER ({ALPHANUM}|[_\-])
TAG \{{CARACTER}+\}

%%

{TAG} { fprintf (stdout, "\ntag: %s", yytext); }
\n
.

%%
